import React, { FC } from 'react';
import { TitleHeaderModel } from '../modalHeaderModels';
import { View } from 'react-native';
import { styles } from './styles';
import { SubtitleMediumText } from '../../../../atoms';

export const TitleModalHeader: FC<TitleHeaderModel> = ({ title }) => {
  return (
    <View style={styles.titleModalHeader}>
      <View style={styles.titleModalHeader.text}>
        <SubtitleMediumText numberOfLines={1}>{title}</SubtitleMediumText>
      </View>
    </View>
  );
};
