export type DateNumberOfTheMonth =
  | 1 | 2 | 3 | 4 | 5 | 6 | 7
  | 8 | 9 | 10 | 11 | 12 | 13 | 14
  | 15 | 16 | 17 | 18 | 19 | 20 | 21
  | 22 | 23 | 24 | 25 | 26 | 27 | 28
  | 29 | 30 | 31;

export type DayNumberOfTheWeek = 1 | 2 | 3 | 4 | 5 | 6 | 7;

export type MonthNumber = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12;

export type GapsOfCalendarGrid = 42;

export enum DateCategory {
  SPECIAL = 'special',
  SELECTED = 'selected',
  NOW = 'now',
  DISABLED = 'disabled',
}

export interface MonthNumberAndYear {
  monthNumber: MonthNumber;
  year: number;
}

export interface DateNumberMonthNumberAndYear extends MonthNumberAndYear {
  dateNumber: DateNumberOfTheMonth;
}

export type Week = [string, string, string, string, string, string, string];
