import { DateNumberMonthNumberAndYear } from './calendarModel';

type GetIsSameDate = (
  dateA: DateNumberMonthNumberAndYear, dateB: DateNumberMonthNumberAndYear
) => boolean;

export const getIsSameDate: GetIsSameDate = (dateA, dateB) => {
  return (
    dateA.year === dateB.year
      && dateA.monthNumber === dateB.monthNumber
      && dateA.dateNumber === dateB.dateNumber
  );
};
