import { StyleSheet } from 'react-native';
import { borderRadiusSizes } from '../../../constants';
import { getThemeColorByDefaultColor } from '../../../../utils';

export const styles = StyleSheet.create({
  storyProgressBar: {
    height: 2,
    borderRadius: borderRadiusSizes.small,
    backgroundColor: getThemeColorByDefaultColor('text', 'dark'),
  },
  storyProgressBarActive: {
    height: 2,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
  },
});
