import { ColorThemeModel } from '../colorsModels';

export const defaultColors: ColorThemeModel = {
  primary: {
    default: '#3919ED',
    light: '#DCD6FC',
    extraLight: '#DCD6FC',
    maxLight: '#F0EEFE',
    dark: '#2A0FBF',
    extraDark: '#1E0B8B',
  },
  text: {
    default: '#888888',
    light: '#BBBBBB',
    extraLight: '#FFFFFF',
    dark: '#505050',
    extraDark: '#181818',
  },
  border: {
    default: '#BBBBBB',
    light: '#E1E1E1',
    dark: '#888888',
  },
  background: {
    default: '#EEEEEE',
    light: '#F5F5F5',
    extraLight: '#FFFFFF',
    dark: '#D5D5D5',
    extraDark: '#888888',
  },
  success: {
    default: '#3A9A21',
    light: '#EEFBEB',
  },
  warning: {
    default: '#FFBE2C',
    light: '#FFF8E5',
  },
  error: {
    default: '#CB4739',
    light: '#FBF0EF',
    extraLight: '#F5DDDB',
    dark: '#A1362A',
    extraDark: '#75271F',
  },
};
