export interface ProfileNotificationsOptionsTopBarModel {
  onProfileClick: () => void;
  onNotificationsClick: () => void;
  onOptionsClick: () => void;
  isNotificationsDisabled?: boolean;
  backgroundColor?: string;
}

export type ProfileNotificationsTopBarModel = Omit<ProfileNotificationsOptionsTopBarModel, 'onOptionsClick'>

export interface ReturnNotificationsTopBarModel extends Omit<ProfileNotificationsOptionsTopBarModel, 'onOptionsClick' | 'onProfileClick'> {
  onReturnClick: () => void;
}

export interface ReturnOptionsTopBarModel {
  onOptionsClick: () => void;
  onReturnClick: () => void;
  backgroundColor?: string;
}

export interface ReturnTopBarModel {
  onReturnClick: () => void;
  backgroundColor?: string;
}

export interface ReturnTitleTopBarModel {
  text?: string;
  onReturnClick: () => void;
  backgroundColor?: string;
}

export interface ReturnTitleDescriptionTopBarModel extends ReturnTitleTopBarModel {
  description?: string;
}

export interface TitleTopBarModel {
  text?: string;
  backgroundColor?: string;
}

export interface ReturnNotificationsOptionsTopBarModel extends Omit<ProfileNotificationsOptionsTopBarModel, 'onProfileClick'>{
  onReturnClick: () => void;
}
